Tripnet - Bug #40682
Permissions issue | B2B
06/04/2018 03:37 pm - Sreerag Prasannan

Status: Closed Start date: 01/23/2019
Priority: Normal Due date: 01/24/2019
Assignee: Muhammed Siyad M % Done: 100%
Category: Functionality Estimated time: 1.50 hour
Target version: Spent time: 11.75 hours
End_Date: 06/11/2018 Areas Affected:

remarks: Files Changed:

DB Changes: Initial Planned Hours: 0

Keys & Permissions:

Description

The permissions which are not set for a travel agency are visible for that agency.

Ensure the roles set as permission are only visible.

Agency User : jango

password : a

please fix.

The permission which are not set are displayed in permiss 2 screenshot, please ensure exact permission are visible.

History

#1 - 06/05/2018 08:29 am - Nishad K

- Due date set to 06/05/2018

- Status changed from New to Assigned

- Assignee set to Muhammed Siyad M

- Start date changed from 06/04/2018 to 06/05/2018

- Estimated time set to 1.50

#2 - 06/05/2018 08:34 am - Muhammed Siyad M

- Status changed from Assigned to In Progress

#3 - 06/05/2018 11:36 am - Muhammed Siyad M

- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100

- End_Date set to 06/05/2018

1.create role(admin mgmt->role)

2.create mange role(admin->manage role(select your tabs))
3.create user (here at last we have option to select role)

from the above format i created role and user,then it is working fine

eg:mhd@caxita.com
pwd:a

04/30/2025

1/3



mailto:mhd@caxita.com

#4 - 06/06/2018 07:50 am - Sreerag Prasannan

- File role.png added

- File role 2.png added

- Status changed from Fixed not Tested to Not Fixed

Not working, If any patch is there, Please inform | will change status to fnt.

currently as per comments, Still not working as | can see many roles which is not even existing for the user which you have created.

eg:mhd@caxita.com
pwd:a

attached Role screenshot : in this their is no property management, affiliate management etc. But when log in as the above user you can see that
menu. Please do a proper Fix. ensure what ever roles and permission set, that is only visible.

#5 - 06/08/2018 03:02 pm - Muhammed Siyad M

- Status changed from Not Fixed to In Progress

#6 - 06/12/2018 06:37 am - Muhammed Siyad M
- End_Date changed from 06/05/2018 to 06/11/2018

#7 - 06/12/2018 07:24 am - Muhammed Siyad M
- Status changed from In Progress to On hold

for more clarification

#8 - 01/11/2019 08:25 am - Jomiya J

- Due date changed from 06/05/2018 to 01/11/2019
- Status changed from On hold to Assigned

- Start date changed from 06/05/2018 to 01/11/2019

#9 - 01/23/2019 02:06 pm - Jomiya J
- Due date changed from 01/11/2019 to 01/23/2019
- Start date changed from 01/11/2019 to 01/23/2019

#10 - 01/23/2019 03:13 pm - Muhammed Siyad M
- Status changed from Assigned to In Progress

#11 - 01/24/2019 07:36 am - Jomiya J
- Due date changed from 01/23/2019 to 01/24/2019

#12 - 01/25/2019 04:23 am - Muhammed Siyad M
- Status changed from In Progress to Not reproducible

#13 - 04/09/2019 07:55 am - Albin Paul

- Status changed from Not reproducible to Closed
- Initial Planned Hours set to 0
Issue not found.

Files

Permiss 2.png 134 KB 06/04/2018 Sreerag Prasannan
role.png 80.1 KB 06/06/2018 Sreerag Prasannan
role 2.png 73.7 KB 06/06/2018 Sreerag Prasannan
